org.apache.fop.afp.modca

## Interface AbstractAFPObject.Type

Enclosing class:
  AbstractAFPObject

    public static interface AbstractAFPObject.Type

structured field type codes

### Field Summary

Fields
`static byte` `ATTRIBUTE` Attribute
`static byte` `BEGIN` Begin
`static byte` `CONTROL` Control
`static byte` `COPY_COUNT` Copy Count
`static byte` `DATA` Data
`static byte` `DESCRIPTOR` Descriptor
`static byte` `END` End
`static byte` `INCLUDE` Include
`static byte` `LINK` Link
`static byte` `MAP` Map
`static byte` `MIGRATION` Migration
`static byte` `POSITION` Position
`static byte` `PROCESS` Process
`static byte` `TABLE` Table
`static byte` `VARIABLE` Variable

### Field Detail

#### ATTRIBUTE

    static final byte ATTRIBUTE

Attribute

See Also:
  Constant Field Values

#### COPY_COUNT

    static final byte COPY_COUNT

Copy Count

See Also:
  Constant Field Values

#### DESCRIPTOR

    static final byte DESCRIPTOR

Descriptor

See Also:
  Constant Field Values

#### CONTROL

    static final byte CONTROL

Control

See Also:
  Constant Field Values

#### BEGIN

    static final byte BEGIN

Begin

See Also:
  Constant Field Values

#### END

    static final byte END

End

See Also:
  Constant Field Values

#### MAP

    static final byte MAP

Map

See Also:
  Constant Field Values

#### POSITION

    static final byte POSITION

Position

See Also:
  Constant Field Values

#### PROCESS

    static final byte PROCESS

Process

See Also:
  Constant Field Values

#### INCLUDE

    static final byte INCLUDE

Include

See Also:
  Constant Field Values

#### TABLE

    static final byte TABLE

Table

See Also:
  Constant Field Values

#### MIGRATION

    static final byte MIGRATION

Migration

See Also:
  Constant Field Values

#### VARIABLE

    static final byte VARIABLE

Variable

See Also:
  Constant Field Values

#### LINK

    static final byte LINK

Link

See Also:
  Constant Field Values

#### DATA

    static final byte DATA

Data

See Also:
  Constant Field Values